%Valve opening can be modulated in the same way as the lip frequency
%vibrato and the mouth pressure tremolo by adding a cosine function to the
%signal

%usable instruments: horn3, horn3b, trombone3, trombone3b, trumpet3,
%trumpet3b, trumpetbulge3, trumpetbulge3b

maxout=0.95;%max normalised value of instrument output
T=2;%Length of score s, if this is less than a time parameter in score values it is changed to longest time value

%score parameters take time value pairs, if final time entry is less than
%length of score it is assumed to remain constant from that time
%Lip area, mass, damping, equilibrium separation, width
Sr=[0,1.46e-5];
mu=[0,5.37e-5];
sigma=[0,5];
H=[0,0.00029];
w=[0,0.01];
%lip frequency as time(s) frequency(Hz) pairs [t,f]
lip_frequency=[0,500];
%mouth pressure pressure as time(s) pressure(Pa) pairs [t,p]
pressure=[0,0;
    1e-4,3e4;
    ];
%vibrato amplitude and frequency
vibamp=[0,0];%fraction of normal frequency
vibfreq=[0,0];%frequency of vibrato
tremamp=[0,0];%fraction of normal mouth pressure
tremfreq=[0,0];%frequecny of tremolo
noiseamp=[0,0];%fraction of normal mouth pressure
%default tube openings(0-1) 1st column time, 2nd-1st valve, 3rd-2nd valve etc
valveopening=[0,0.5,1,1];
valvevibamp=[0,0,0,0;%valve vibrato amplitude
    0.9,0,0,0;
    1,0.1,0,0;
    2,0.4,0,0];
valvevibfreq=[0,0,0,0;%valve vibrato frequency
    0.9,0,0,0;
    1,5,0,0;
    2,15,0,0];