%This tutorial demonstrates the effect of a valve positioned at different
%positions when partially opened.

%usable instruments: horn3b, trombone3b, trumpet3b, trumpetbulge3b. Can
%use with horn3, trombone3, trumpet3 and trumpetbulge3 but effect will
%not be as noticeable as valves in this instrument are closer together.

maxout=0.95;%max normalised value of instrument output
T=3;%Length of score s, if this is less than a time parameter in score values it is changed to longest time value

%score parameters take time value pairs, if final time entry is less than
%length of score it is assumed to remain constant from that time
%Lip area, mass, damping, equilibrium separation, width
Sr=[0,1.46e-5];
mu=[0,5.37e-5];
sigma=[0,5];
H=[0,0.00029];
w=[0,0.01];
%lip frequency as time(s) frequency(Hz) pairs [t,f]
lip_frequency=[0,350];
%mouth pressure pressure as time(s) pressure(Pa) pairs [t,p]
%useful to have small pressure ramp to get better attack
pressure=[0,0;
    1e-3,3e3;
    0.9,3e3;
    1,0;
    1.001,3e3;
    1.9,3e3;
    2,0;
    2.001,3e3];
%vibrato amplitude and frequency
vibamp=[0,0];%fraction of normal frequency
vibfreq=[0,0];%frequency of vibrato
tremamp=[0,0];%fraction of normal mouth pressure
tremfreq=[0,0];%frequecny of tremolo
noiseamp=[0,0];%fraction of normal mouth pressure
%default tube openings(0-1) 1st column time, 2nd-1st valve, 3rd-2nd valve etc
valveopening=[0,0.5,1,1;
    0.9,0.5,1,1;
    1,1,0.5,1;
    1.9,1,0.5,1;
    2,1,1,0.5];
valvevibfreq=[0,0,0,0];%valve vibrato frequency
valvevibamp=[0,0,0,0];%valve vibrato amplitude