%When starting with a new instrument, useful to set lip_frequency to sweep
%over a large frequency range to find resonances. Can then plot output
%against lip frequency to find lip frequency ranges. Might need to set mouth
%presure slightly higher than usual to get lips to lock to resonances

%usable instruments: horn3, horn3b, trombone3, trombone3b, trumpet3,
%trumpet3b, trumpetbulge3, trumpetbulge3b

maxout=0.95;%max normalised value of instrument output
T=20;%Length of score s, if this is less than a time parameter in score values it is changed to longest time value

%score parameters take time value pairs, if final time entry is less than
%length of score it is assumed to remain constant from that time
%Lip area, mass, damping, equilibrium separation, width
Sr=[0,1.46e-5];
mu=[0,5.37e-5];
sigma=[0,5];
H=[0,0.00029];
w=[0,0.01];
%lip frequency as time(s) frequency(Hz) pairs [t,f]
lip_frequency=[0,400;
    2,1000];
%mouth pressure pressure as time(s) pressure(Pa) pairs [t,p]
%useful to have small pressure ramp to get better attack
pressure=[0,0;
    1e-3,5e3];
%vibrato amplitude and frequency
vibamp=[0,0];%fraction of normal frequency
vibfreq=[0,0];%frequency of vibrato
tremamp=[0,0];%fraction of normal mouth pressure
tremfreq=[0,0];%frequecny of tremolo
noiseamp=[0,0];%fraction of normal mouth pressure
%default tube openings(0-1) 1st column time, 2nd-1st valve, 3rd-2nd valve etc
valveopening=[0,1,1,1];
valvevibfreq=[0,0,0,0];%valve vibrato frequency
valvevibamp=[0,0,0,0];%valve vibrato amplitude