%When you know the frequency range the lips lock to you can then try single
%frequencies to get a note. However the frequency of the lips does not
%equal the played frequency and an increase or decrease in lip_frequency
%does not offer the same increase or decrease in the output frequency.
%This takes some trial and error to get an in tune note. 
%You can check the frequency of the note by using: 
% plot(linspace(0,FS,K),abs(fft(out)));xlim([0 2000]) and the frequency of
% the lowest peak gives the fundamental. Try it with the 3 different
% lip_frequency entries by commenting the other 2 out

%usable instruments: horn3, horn3b, trombone3, trombone3b, trumpet3,
%trumpet3b, trumpetbulge3, trumpetbulge3b

maxout=0.95;%max normalised value of instrument output
T=1;%Length of score s, if this is less than a time parameter in score values it is changed to longest time value

%score parameters take time value pairs, if final time entry is less than
%length of score it is assumed to remain constant from that time
%Lip area, mass, damping, equilibrium separation, width
Sr=[0,1.46e-5];
mu=[0,5.37e-5];
sigma=[0,5];
H=[0,0.00029];
w=[0,0.01];
%lip frequency as time(s) frequency(Hz) pairs [t,f]
%lip_frequency=[0,500];%out~552Hz
%lip_frequency=[0,510];%out~554Hz
lip_frequency=[0,520];%out~556Hz
%mouth pressure pressure as time(s) pressure(Pa) pairs [t,p]
pressure=[0,0;
    10e-3,5e3];
%vibrato amplitude and frequency
vibamp=[0,0];%fraction of normal frequency
vibfreq=[0,0];%frequency of vibrato
tremamp=[0,0];%fraction of normal mouth pressure
tremfreq=[0,0];%frequecny of tremolo
noiseamp=[0,0];%fraction of normal mouth pressure
%default tube openings(0-1) 1st column time, 2nd-1st valve, 3rd-2nd valve etc
valveopening=[0,1,1,1];
valvevibfreq=[0,0,0,0];%valve vibrato frequency
valvevibamp=[0,0,0,0];%valve vibrato amplitude