%Vibrato can be added to a note to modulate pitch. This is done by
%multiplying the lip frequency by a raised cosine function. The frequency 
%and amplitude of vibrato can vary in time and are controlled the same way 
%as lip frequency and mouth pressure

%usable instruments: horn3, horn3b, trombone3, trombone3b, trumpet3,
%trumpet3b, trumpetbulge3, trumpetbulge3b

maxout=0.95;%max normalised value of instrument output
T=2;%Length of score s, if this is less than a time parameter in score values it is changed to longest time value

%score parameters take time value pairs, if final time entry is less than
%length of score it is assumed to remain constant from that time
%Lip area, mass, damping, equilibrium separation, width
Sr=[0,1.46e-5];
mu=[0,5.37e-5];
sigma=[0,5];
H=[0,0.00029];
w=[0,0.01];
%lip frequency as time(s) frequency(Hz) pairs [t,f]
lip_frequency=[0,500];
%mouth pressure pressure as time(s) pressure(Pa) pairs [t,p]
pressure=[0,0;
    1e-4,3e3];
%vibrato amplitude and frequency
vibamp=[0,0;%fraction of normal frequency
    0.99,0;%start no vibrato then add to end of note
    1,0.05];
vibfreq=[0,0;%frequency of vibrato
    0.99,0;
    1,7];
tremamp=[0,0];%fraction of normal mouth pressure
tremfreq=[0,0];%frequecny of tremolo
noiseamp=[0,0];%fraction of normal mouth pressure
%default tube openings(0-1) 1st column time, 2nd-1st valve, 3rd-2nd valve etc
valveopening=[0,1,1,1];
valvevibfreq=[0,0,0,0];%valve vibrato frequency
valvevibamp=[0,0,0,0];%valve vibrato amplitude