%This uses an instrument with 3 valves spread apart along the
%instrument. The 2nd valve is kept half opend whilst the 1st and 3rd valves
%are modulated. Each note is separated and lip vibrato is added part way
%through each note.

%usable instruments: horn3b, trombone3b, trumpet3b, trumpetbulge3b. Can
%use horn3, trombone3, trumpet3, and trumpetbulge3 but effects will be
%less noticeable

maxout=0.95;%max normalised value of instrument output
T=4;%Length of score s, if this is less than a time parameter in score values it is changed to longest time value

%score parameters take time value pairs, if final time entry is less than
%length of score it is assumed to remain constant from that time
%Lip area, mass, damping, equilibrium separation, width
Sr=[0,1.46e-5];
mu=[0,5.37e-5];
sigma=[0,5];
H=[0,0.00029];
w=[0,0.01];
%lip frequency as time(s) frequency(Hz) pairs [t,f]
lip_frequency=[0,600;
    0.99,600;
    1,440;
    1.99,440;
    2,500;
    2.99,500;
    3,440];
%mouth pressure pressure as time(s) pressure(Pa) pairs [t,p]
%useful to have small pressure ramp to get better attack
pressure=[0,0;
    1e-3,3e3;
    0.9,3e3;
    1,0;
    1.001,3e3;
    1.9,3e3;
    2,0;
    2.001,3e3;
    2.9,3e3;
    3,0;
    3.001,3e3;
    3.9,3e3;
    4,0];
%vibrato amplitude and frequency
vibamp=[0,0;
    0.39,0;
    0.4,0.05;
    0.9,0.05;
    1,0;
    1.39,0;
    1.4,0.05;
    1.9,0.05;
    2,0;
    2.39,0;
    2.4,0.05;
    2.9,0.05;
    3,0;
    3.39,0;
    3.4,0.05];%fraction of normal frequency
vibfreq=[0,5];%frequency of vibrato
tremamp=[0,0];%fraction of normal mouth pressure
tremfreq=[0,0];%frequecny of tremolo
noiseamp=[0,0];%fraction of normal mouth pressure
%default tube openings(0-1) 1st column time, 2nd-1st valve, 3rd-2nd valve etc
valveopening=[0,1,0.5,1];
valvevibfreq=[0,5,0,3];%valve vibrato frequency
valvevibamp=[0,0.03,0,0.05;
    1,0.01,0,0.02];%valve vibrato amplitude